# createTangentSpaceDebugPrimitive

#### createTangentSpaceDebugPrimitive(options) → Primitive
Scene/createTangentSpaceDebugPrimitive.js 45

  Creates a `Primitive` to visualize well-known vector vertex attributes: `normal`, `binormal`, and `tangent`. Normal is red; binormal is green; and tangent is blue. If an attribute is not present, it is not drawn.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `geometry` | Geometry |  | The `Geometry` instance with the attribute.
  `length` | Number | `10000.0` | optional The length of each line segment in meters. This can be negative to point the vector in the opposite direction.
  `modelMatrix` | Matrix4 | `Matrix4.IDENTITY` | optional The model matrix that transforms to transform the geometry from model to world coordinates.

  ##### Returns:

  A new `Primitive` instance with geometry for the vectors.

  ##### Example:

      scene.primitives.add(Cesium.createTangentSpaceDebugPrimitive({
         geometry : instance.geometry,
         length : 100000.0,
         modelMatrix : instance.modelMatrix
      }));